/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: Apache Tomcat/9.0.34
 * Generated at: 2020-05-20 15:40:48 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.WEB_002dINF;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

public final class cours_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  static {
    _jspx_dependants = new java.util.HashMap<java.lang.String,java.lang.Long>(4);
    _jspx_dependants.put("/WEB-INF/menu.jsp", Long.valueOf(1589988043000L));
    _jspx_dependants.put("/WEB-INF/includeLibs.jsp", Long.valueOf(1589210057000L));
    _jspx_dependants.put("jar:file:/Users/ibrahimabdourahmane/projet-java-ee/.metadata/.plugins/org.eclipse.wst.server.core/tmp0/wtpwebapps/test/WEB-INF/lib/jstl-impl.jar!/META-INF/c.tld", Long.valueOf(1274179894000L));
    _jspx_dependants.put("/WEB-INF/lib/jstl-impl.jar", Long.valueOf(1589209370000L));
  }

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = null;
  }

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
  }

  public void _jspDestroy() {
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
      throws java.io.IOException, javax.servlet.ServletException {

    if (!javax.servlet.DispatcherType.ERROR.equals(request.getDispatcherType())) {
      final java.lang.String _jspx_method = request.getMethod();
      if ("OPTIONS".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        return;
      }
      if (!"GET".equals(_jspx_method) && !"POST".equals(_jspx_method) && !"HEAD".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        response.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED, "Les JSPs ne permettent que GET, POST ou HEAD. Jasper permet aussi OPTIONS");
        return;
      }
    }

    final javax.servlet.jsp.PageContext pageContext;
    javax.servlet.http.HttpSession session = null;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("text/html; charset=UTF-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write('\n');
      out.write("<!DOCTYPE html>\n");
      out.write("<html>\n");
      out.write("<head>\n");
      out.write("<meta charset=\"UTF-8\">\n");
      out.write("<title>ACADEMIE IBRAHIM</title>\n");
      out.write("\n");
      out.write("\n");
      out.write("<link rel=\"stylesheet\" href=\"style.css\">\n");
      out.write("</head>\n");
      out.write("<body class=\"body\">\n");
      out.write("<!-- Les directives -->\n");
      out.write("\n");
      out.write("<!--  <img alt=\"\" src=\"image/crativity.jpg\">-->\n");
      out.write("\n");
      out.write("<div class=\"topAceuil\">\n");
      out.write("    <ul>\n");
      out.write("    \t<li><a href=\"/test/acceuil\">GéoNiger acceuil</a> </li>\n");
      out.write("    \t<li><a href=\"/test/gastronomie\">Gastronomie à Tillabary</a> </li>\n");
      out.write("    \t<li><a href=\"/test/showTest\">GéoNiger test</a> </li>\n");
      out.write("    \t<li><a href=\"/test/cours\">Guide proffessionel et académique</a> </li>\n");
      out.write("    \t<li><a href=\"/test/links\">Liens utils</a> </li>\n");
      out.write("    \t<li><a href=\"https://www.youtube.com/watch?v=tIlG6BsSFLA&list=PLepmdz3mDsCpOcLtmn3r8UKfsjGSeDmma&index=12\">Support</a> </li>\n");
      out.write("    \t\n");
      out.write("    </ul>\n");
      out.write("</div>");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("<h1 class=\"bienVenu\"> Bien venu sur ma page d'orientattion proffessionnelle </h1>\n");
      out.write("\n");
      out.write("<p>\n");
      out.write("POUR CHERCHER UN EMPLOI, \n");
      out.write("Visitez les sites ou les réseaux suivants :\n");
      out.write("\n");
      out.write("1. Linkedin\n");
      out.write("2. Indeed\n");
      out.write("3. Emploitic\n");
      out.write("4. Careerealism\n");
      out.write("5. Job-Hunt\n");
      out.write("6. JobBait\n");
      out.write("7. Careercloud\n");
      out.write("8. GM4JH\n");
      out.write("9. Personalbrandingblog\n");
      out.write("10. Jibberjobber\n");
      out.write("11. Cvite\n");
      out.write("12. Emploipartner\n");
      out.write("13. Naukri\n");
      out.write("\n");
      out.write("POUR APPRENDRE GRATUITEMENT\n");
      out.write("\n");
      out.write("1. Coursera\n");
      out.write("2. edX\n");
      out.write("3. Khan Academy\n");
      out.write("4. Udemy\n");
      out.write("5. iTunesU Free Courses\n");
      out.write("6. MIT OpenCourseWare\n");
      out.write("7. Stanford Online\n");
      out.write("8. Codecademy\n");
      out.write("9. Open Culture Online Courses\n");
      out.write("\n");
      out.write("POUR APPRENDRE EXCEL\n");
      out.write("\n");
      out.write("1. Microsoft Excel Help Center\n");
      out.write("2. Excel Exposure\n");
      out.write("3. Chandoo\n");
      out.write("4. Excel Central\n");
      out.write("5. Contextures\n");
      out.write("6. Excel Hero\n");
      out.write("7. Mr. Excel\n");
      out.write("8. Improve Your Excel\n");
      out.write("9. Excel Easy\n");
      out.write("10. Excel-Jet\n");
      out.write("\n");
      out.write("POUR METTRE A JOUR VOS CV\n");
      out.write("\n");
      out.write("1. Zety Resume Builder\n");
      out.write("2. Resumonk\n");
      out.write("3. Resume dot com\n");
      out.write("4. VisualCV\n");
      out.write("5. Cvmaker\n");
      out.write("6. ResumUP\n");
      out.write("7. Resume Genius\n");
      out.write("8. Resume builder\n");
      out.write("9. Resume Baking\n");
      out.write("10. Enhancv\n");
      out.write("\n");
      out.write("POUR PRÉPARER VOS ENTRETIENS\n");
      out.write("\n");
      out.write("1. Ambitionbox\n");
      out.write("2. AceTheInterview\n");
      out.write("3. Geeksforgeeks\n");
      out.write("4. Leetcode\n");
      out.write("5. Gainlo\n");
      out.write("6. Careercup\n");
      out.write("7. Coder career\n");
      out.write("8. InterviewUp\n");
      out.write("9. InterviewBest\n");
      out.write("10. Indiabix\n");
      out.write("</p>\n");
      out.write("</body>\n");
      out.write("</html>");
    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
